> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wirespeed.co/llms.txt
> Use this file to discover all available pages before exploring further.

# List approved SIEM 2.0 custom detection source tables



## OpenAPI

````yaml https://api.wirespeed.co/v1/openapi.json get /v1/detection/custom/sources
openapi: 3.0.0
info:
  title: Wirespeed API
  description: The public Wirespeed API. v1 is the first stable contract.
  version: '1.0'
  contact: {}
servers:
  - url: https://api.wirespeed.co
security: []
tags: []
paths:
  /v1/detection/custom/sources:
    get:
      tags:
        - Detection
      summary: List approved SIEM 2.0 custom detection source tables
      operationId: DetectionController_listCustomDetectionSources
      parameters: []
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/CustomDetectionSourceDto'
        '422':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HttpError'
      security:
        - bearer: []
components:
  schemas:
    CustomDetectionSourceDto:
      type: object
      properties:
        table:
          type: string
          description: Approved SIEM 2.0 source table name
      required:
        - table
    HttpError:
      type: object
      properties:
        message:
          type: string
        statusCode:
          type: number
      required:
        - message
        - statusCode
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````